%define		mod_name	xslt
%define 	apxs		/usr/sbin/apxs
Summary:	Module to serve XML based content
Summary(pl):	Modu do udostpniania dokumentw XML
Name:		apache-mod_%{mod_name}2
Version:	1.3.5
Release:	1
%define snapdate 2004080100
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.mod-xslt2.com/software/archive/%{snapdate}/modxslt-%{snapdate}.tar.gz
# Source0-md5:	5d7f607679a1ffb5dad48a93e655e8ff
Source1:	%{name}.conf
Patch0:		%{name}-makefile.patch
URL:		http://www.mod-xslt2.com/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel
BuildRequires:	sablotron-devel
Requires(post,preun):	%{apxs}
Requires:	expat
Requires:	sablotron
Conflicts:	apache-mod_xslt
Obsoletes:	apache-mod_xslt
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)
%define		_sysconfdir	/etc/httpd

%description
mod_xslt is a simple Apache module to serve XML based content. Data is
stored in XML files on the server. The user requests the XML file and
the translation method via a url such as this:
http://localhost/sourcefile.html. The module will parse this URL into
a XML source file and an XSL source file. In the example above, the
XML file will be sourcefile.xml. The module will open sourcefile.xml
and determine its DOCTYPE. Based on the DOCTYPE, the XSL file will be
opened. Should the DOCTYPE be "tutorial", the XSL file opened would be
tutorial_html.xsl. The content-type returned to the browser is
text/html. The translation occurs transparently to the user.

%description -l pl
mod_xslt jest prostym moduem Apache do udostpniania dokumentw XML.
Dane s zapisane w plikach XML na serwerze. Uytkownik da pliku XML
i tmaczenia poprzez URL w stylu http://localhost/sourcefile.html.
Modu zamienia ten URL na pliki rdowe XML i XSL. W tym przykadzie
plikiem XML bdzie sourcefile.xml. Modu otworzy plik sourcefile.xml i
okreli DOCTYPE, na podstawie ktrego otworzy odpowiedni plik XSL.
Jeeli DOCTYPE jest "tutorial", plikiem XSL bdzie tutorial_html.xsl.
Nastpnie modu dokona przetwarzania pliku XML za pomoc arkusza XSLT
i zwrci przegldarce powstay w ten sposb text/html. Cay proces
odbywa si w sposb niewidoczny dla uytkownika.

%package devel
Summary:	development headers for mod_xslt2
Group:	Development/Libraries

%description devel
development headers for mod_xslt2.

%package static
Summary:        static libraries for mod_xslt2
Group:  Development/Libraries

%description static
static libraries for mod_xslt2.

%prep
%setup -q -n mod%{mod_name}-%{snapdate}
%patch0 -p1

%build
%configure
%{__make} APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/70_mod_xslt2.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
ldconfig
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi
ldconfig

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/httpd.conf/*
%attr(755,root,root) %{_pkglibdir}/*
%{_libdir}/libmodxslt0.so.0.0.0

%files devel
%{_bindir}/*
%{_includedir}/modxslt0/*.h
%{_libdir}/*.la

%files static
%{_libdir}/*.a
